# Set if we use the master from git
%define         master 0

%define         codename Leia
%define         prel %nil
%define         rel 1
%define         final 1

%if 0%{prel}
%define xbmc_dir xbmc-%{version}%{?prel:%{prel}-}%{codename}
%define xmbc_rel %mkrel -c %{?prel:%{prel}} %{rel}
%endif
%if %{master}
%define xbmc_dir xbmc-master
%define xmbc_rel %mkrel -c %{prel} %{rel}
%endif
%if 0%{final}
%define xbmc_dir xbmc-%{version}-%{codename}
%define xmbc_rel %mkrel %{rel}
%endif

# Kodi still uses Python 2
%global         PYTHON %{__python2}

%if "%distro_section" == "tainted"
%define         with_dvdcss 1
%else
%define         with_dvdcss 0
%endif

%define         _firewalld %{_prefix}/lib/firewalld

# Find number of CPUs to use with USE_LTO
%define         num_threads %(n=%_smp_mflags; echo ${r:2:2})

Name:           kodi
Version:        18.9
Release:        %{xmbc_rel}
Summary:        Kodi - media player and home entertainment system
Group:          Video/Players
License:        GPLv2+ and GPLv2 and (LGPLv3+ with exceptions)
URL:            https://kodi.tv
%if ! %{master}
Source0:        https://github.com/xbmc/xbmc/archive/%{version}%{?prel:%{prel}}-%{codename}/%{name}-%{version}%{?prel:%{prel}}-%{codename}.tar.gz
%else
Source0:        https://github.com/xbmc/xbmc/archive/master/%{name}-%{version}%{?prel:%{prel}}-%{codename}.tar.gz
%endif
Source2:        https://github.com/xbmc/libdvdcss/archive/1.4.2-Leia-Beta-5.tar.gz#/libdvdcss-1.4.2-Leia-Beta-5.tar.gz
Source3:        https://github.com/xbmc/libdvdnav/archive/6.0.0-Leia-Alpha-3.tar.gz#/libdvdnav-6.0.0-Leia-Alpha-3.tar.gz
Source4:        https://github.com/xbmc/libdvdread/archive/6.0.0-Leia-Alpha-3.tar.gz#/libdvdread-6.0.0-Leia-Alpha-3.tar.gz

Source10:       cpuinfo
Source11:       VERSION

Patch0:         kodi-18.0-add-url_hash_for_libdvdcss.patch
Patch1:         kodi-18.0-add-url_hash_for_libdvdnav.patch
Patch2:         kodi-18.0-add-url_hash_for_libdvdread.patch
Patch3:         kodi-18.0-remove-git-string.patch
#Patch4:         kodi-17.3-checkperms.patch
Patch5:         cheat-sse-build.patch

BuildRequires:  autoconf
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  pkgconfig(expat)
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(cwiid)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  crossguid-devel
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  flatbuffers-devel
BuildRequires:  cmake(fmt)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pcre2-devel
BuildRequires:  pkgconfig(libpcrecpp)
BuildRequires:  rapidjson
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(tinyxml)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(avahi-core)
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libcec)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(liblircclient0)
BuildRequires:  pkgconfig(lirc)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(libnfs)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  sndio-devel
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  graphviz
BuildRequires:  doxygen
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(mariadb)
BuildRequires:  pkgconfig(libplist)
BuildRequires:  pkgconfig(libupnp)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  giflib-devel
BuildRequires:  git-core
BuildRequires:  glibc-devel
BuildRequires:  java-openjdk-headless
BuildRequires:  shairplay-devel
BuildRequires:  swig
BuildRequires:  groovy
BuildRequires:  apache-commons-lang
BuildRequires:  yasm
BuildRequires:  pkgconfig(fstrcmp)

%ifarch %ix86
BuildRequires:  nasm
%endif

Requires:       lsb-release

# TODO: FEH.py is useless nowadays, drop it here and upstream.
# for FEH.py, to check current configuration is ok for xbmc:
Requires:       xdpyinfo
Requires:       glxinfo
# for FEH.py to allow it to give an error message (should be available already
# on most systems):
Requires:       pygtk2
# for xbmc python scripts:
Requires:       python2dist(pillow)

Provides:       xbmc = %{version}-%{release}

%description
Kodi (formerly known as XBMC) is an award-winning free and open source
software media player and entertainment hub for digital media.

While Kodi functions very well as a standard media player application
for your computer, it has been designed to be the perfect companion
for your HTPC. Supporting an almost endless range of remote controls,
and combined with its beautiful interface and powerful skinning
engine, Kodi feels very natural to use from the couch and is the
ideal solution for your home theater.

%package        firewalld-services
Summary:        Firewall services for Kodi
Group:          Video/Players
License:        GPLv2+
BuildArch:      noarch
Requires(pre):  firewalld-filesystem
Requires:       %{name} >= %{version}-%{release}

%description    firewalld-services
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the firewall services for Kodi.

%package        addon-devel
Summary:        Development files for Kodi
Group:          Development/C
License:        GPLv2+

%description    addon-devel
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains files needed to build addons and eventclients.

%package        eventclients-common
Summary:        Common files for Kodi eventclients
Group:          Video/Players
License:        GPLv2+
BuildRequires:  pkgconfig(python2)
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-python = %{version}-%{release}

%description    eventclients-common
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains common files for eventclients.

%package        eventclient-ps3
Summary:        PS3 eventclients for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       python2dist(pybluez)
Requires:       %{name}-eventclients-common = %{version}-%{release}
# requires via zeroconf.py, only used by xbmc-ps3d:
Requires:       python2-gobject
Requires:       avahi-python
Requires:       python2dist(dbus-python)

%description    eventclient-ps3
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the PS3 remote and sixaxis eventclients.

%package        eventclient-wiiremote
Summary:        Wii Remote eventclient for Kodi
Group:          Video/Players
License:        GPLv3+
Requires:       %{name}-eventclients-common = %{version}-%{release}

%description    eventclient-wiiremote
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the Wii Remote eventclient.

%package        eventclient-%{name}-send
Summary:        PS3 eventclient for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name}-eventclients-common = %{version}-%{release}

%description    eventclient-%{name}-send
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the %{name}-send eventclient.

%package        python-bt
Summary:        Bluetooth Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-bt
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the bluetooth python scripts.

%package        python
Summary:        Common Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the common python scripts for Kodi.

%package        python-xbmcclient
Summary:        XBMCClient Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-xbmcclient
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the xbmcclient python scripts.

%package        python-zeroconf
Summary:        Zeroconf Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} >= %{version}-%{release}
BuildArch:      noarch

%description    python-zeroconf
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the zeroconf python scripts.

%package        texturepacker
Summary:        Zeroconf Python scripts for Kodi
Group:          Video/Players
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description    texturepacker
Kodi is an award-winning free and open source software media player
and entertainment hub for digital media.

This package contains the Texturepacker program for Kodi.

%prep
%autosetup -p1 -n %{xbmc_dir}

cp %{S:10} /tmp/
cp %{S:11} .

# otherwise backups end up in binary rpms
find -type f \( -name '*.00??' -o -name '*.00??~' \) -print -delete

# remove prebuilt libraries
find -type f \( -iname '*.so' -o -iname '*.dll' -o -iname '*.exe' \) -print -delete

%build
export GIT_DISCOVERY_ACROSS_FILESYSTEM=1
export PKGCONFIGPATH=${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig:%{_prefix}/lib
export PKG_CONFIG_PATH=${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig:%{_prefix}/lib

# Build JsonSchemaBuilder
#make_build -C tools/depends/native/JsonSchemaBuilder
#       -DWITH_JSONSCHEMABUILDER=%{_builddir}%{xbmc_dir}/tools/depends/native/JsonSchemaBuilder/bin/JsonSchemaBuilder

%cmake -GNinja \
       -DLIBDVD_LIBRARIES=%{_libdir} \
%if %with_dvdcss
       -DENABLE_DVDCSS=ON \
%else
       -DENABLE_DVDCSS=OFF \
%endif
       -DUSE_LTO=%num_threads \
       -DKODI_DEPENDSBUILD=OFF \
       -DENABLE_EVENTCLIENTS=ON \
       -DENABLE_INTERNAL_FFMPEG=OFF \
       -DENABLE_INTERNAL_FLATBUFFERS=OFF \
       -DENABLE_INTERNAL_FMT=OFF \
       -DENABLE_INTERNAL_CROSSGUID=OFF \
       -DENABLE_INTERNAL_FSTRCMP=OFF \
       -DWITH_FFMPEG=%{_prefix} \
       -DFFMPEG_PATH=%{_prefix} \
       -DENABLE_APP_AUTONAME=ON \
       -DFREETYPE_INCLUDE_DIR=%{_includedir}/freetype2 \
       -DENABLE_LIRCCLIENT=ON \
       -DENABLE_CCACHE=OFF \
       -DGIT_VERSION="by %{_vendor}" \
%if 0
       -DDISABLE_INTERNAL_CPLUFF=ON \
       -DCPLUFF_INCLUDE_DIR=%{_includedir} \
       -DCPLUFF_LIB_FILE=%{_libdir} \
%endif
       -DLIBDVD_INCLUDE_DIRS=%{_includedir} \
%if %with_dvdcss
       -DLIBDVDCSS_URL=%{SOURCE2} \
%endif
       -DLIBDVDNAV_URL=%{SOURCE3} \
       -DLIBDVDREAD_URL=%{SOURCE4} \
%if 0
       -DCPLUFF_LIB_FILE=%{_libdir} \
       -DCPLUFF_INCLUDE_DIR=%{_includedir} \
%endif
       -DPKGCONFIGPATH=${PKG_CONFIG_PATH}:%{_libdir}/pkgconfig

%ninja_build

%install
%ninja_install -C build

%__rm -rf %{buildroot}%{_datadir}/kodi/system/certs/

%clean
rm -f /tmp/cpuinfo

%files texturepacker
%{_bindir}/TexturePacker

%files
%{_bindir}/kodi
%{_bindir}/kodi-standalone
%{_libdir}/kodi/
%exclude %{_datadir}/%{name}/cmake/
%{_datadir}/applications/kodi.desktop
%{_datadir}/xsessions/kodi.desktop
%{_docdir}/kodi/
%{_iconsdir}/hicolor/*/apps/kodi.png
%{_datadir}/kodi/

%files firewalld-services
%{_firewalld}/services/kodi-eventserver.xml
%{_firewalld}/services/kodi-http.xml
%{_firewalld}/services/kodi-jsonrpc.xml

%files addon-devel
%{_includedir}/%{name}
%{_datadir}/%{name}/cmake/

%files eventclients-common
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%files eventclient-ps3
%{_bindir}/%{name}-ps3remote
%{python2_sitelib}/%{name}/ps3/
%{python2_sitelib}/kodi/ps3_remote.*

%files eventclient-%{name}-send
%{_bindir}/%{name}-send

%files eventclient-wiiremote
%{_bindir}/kodi-wiiremote

%files python-bt
%{python2_sitelib}/kodi/bt/

%files python
%{python2_sitelib}/kodi/defs.*
%{python2_sitelib}/kodi/__init__.*

%files python-xbmcclient
%{python2_sitelib}/kodi/xbmcclient.*

%files python-zeroconf
%{python2_sitelib}/kodi/zeroconf.*



%changelog
* Sat Oct 24 2020 kekepower <kekepower> 18.9-1.mga7
+ Revision: 1639135
- Update to version 18.9 (mga#27466)
- Update to version 18.8
- Rediff Patch3
- Update to version version 18.7 (mga#26652)
- Update to version 18.6
- Enable LircClient (mga#25152)
+ neoclust <neoclust>
- Rebuild against new and fixed fmt

* Mon Apr 22 2019 kekepower <kekepower> 18.2-1.mga7
+ Revision: 1394664
- Update to version 18.2

* Thu Feb 21 2019 kekepower <kekepower> 18.1-2.mga7
+ Revision: 1369251
- Remove bundled certificate (mga#24400)

* Sun Feb 17 2019 kekepower <kekepower> 18.1-1.mga7
+ Revision: 1368031
- Update to version 18.1

* Mon Jan 28 2019 kekepower <kekepower> 18.0-1.mga7
+ Revision: 1361716
- Update to Kodi 18.0 final
- Enable USE_LTO

* Sun Jan 13 2019 daviddavid <daviddavid> 18.0-0.rc5.2.mga7
+ Revision: 1355833
- fix python-dbux dependency
- provides xbmc

* Sat Jan 12 2019 kekepower <kekepower> 18.0-0.rc5.1.mga7
+ Revision: 1355462
- Update to version 18.0rc5
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 wally <wally> 17.6-2.mga7
+ Revision: 1244320
- add patch to support aarch64
- disable vdpau and vaapi on aarch64 for now

* Tue May 08 2018 kekepower <kekepower> 17.6-1.mga7
+ Revision: 1227820
- Update to version 17.6
- Build with internal ffmpeg as Kodi does not work with our version

* Fri Apr 13 2018 daviddavid <daviddavid> 17.5-5.mga7
+ Revision: 1218290
- rebuild for new libva

* Fri Feb 02 2018 daviddavid <daviddavid> 17.5-4.mga7
+ Revision: 1198581
- rebuild for new libnfs 2.0.0

* Sun Jan 14 2018 wally <wally> 17.5-3.mga7
+ Revision: 1193045
- rebuild for new libcdio

* Sat Dec 23 2017 wally <wally> 17.5-2.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Thu Oct 26 2017 eatdirt <eatdirt> 17.5-1.mga7
+ Revision: 1173867
- Upgrade to version 17.5

* Thu Jun 08 2017 eatdirt <eatdirt> 17.3-9.mga6
+ Revision: 1107309
- Fix permissions at kodi's exit

* Wed Jun 07 2017 eatdirt <eatdirt> 17.3-8.mga6
+ Revision: 1107185
- Fix security issue mga#13418

* Mon May 29 2017 eatdirt <eatdirt> 17.3-7.mga6
+ Revision: 1105515
- Refix files list for arm

* Mon May 29 2017 eatdirt <eatdirt> 17.3-6.mga6
+ Revision: 1105483
- Fix files section for arm

* Sun May 28 2017 eatdirt <eatdirt> 17.3-5.mga6
+ Revision: 1105379
- Tentative fix of arm builds, adding relevant debian patch?

* Fri May 26 2017 eatdirt <eatdirt> 17.3-4.mga6
+ Revision: 1105064
- Tentative fix for arm build, disabling neon
- Tentative fix for arm build, disabling neon

* Fri May 26 2017 eatdirt <eatdirt> 17.3-3.mga6
+ Revision: 1104920
- Tentative fix arm build; disabling x11 for test

* Fri May 26 2017 eatdirt <eatdirt> 17.3-2.mga6
+ Revision: 1104868
- Tentative fix arm build: disabling gl, enabling gles

* Thu May 25 2017 eatdirt <eatdirt> 17.3-1.mga6
+ Revision: 1104521
- Upgrade to version 17.3

* Tue May 02 2017 akien <akien> 17.1-2.mga6
+ Revision: 1098295
- Rebuild for ffmpeg 3.3

* Fri Mar 31 2017 eatdirt <eatdirt> 17.1-1.mga6
+ Revision: 1095515
- Upgrade to bug fix release 17.1

* Tue Feb 14 2017 eatdirt <eatdirt> 17.0-4.mga6
+ Revision: 1086137
- Cleaing spec, tentative fix for arm build

* Tue Feb 14 2017 eatdirt <eatdirt> 17.0-3.mga6
+ Revision: 1086129
- Remove obsoletes pvr-addons

* Fri Feb 10 2017 eatdirt <eatdirt> 17.0-2.mga6
+ Revision: 1085564
- Fix missing BR to cms2-devel and versionning of cec-devel > 4.0

* Fri Feb 10 2017 eatdirt <eatdirt> 17.0-1.mga6
+ Revision: 1085527
- Upgrade to latest stable

* Tue Jan 10 2017 luigiwalser <luigiwalser> 16.1-5.mga6
+ Revision: 1080921
- rebuild for libass

* Sun Aug 21 2016 anssi <anssi> 16.1-4.mga6
+ Revision: 1047624
- Fix missing X session in Mageia 6 (mga #19230)

* Sat Jun 25 2016 anssi <anssi> 16.1-3.mga6
+ Revision: 1037684
- Add BuildRequires on mesaglesv2-devel, used by default on some platforms

* Sat Jun 25 2016 anssi <anssi> 16.1-2.mga6
+ Revision: 1037658
- Fix missing skin textures due to missing TexturePacker
  (add xbmc-texturepacker-no-static.patch and BR on giflib-devel)

* Wed May 04 2016 daviddavid <daviddavid> 16.1-1.mga6
+ Revision: 1009156
- new version: 16.1 (Jarvis)

* Thu Apr 28 2016 daviddavid <daviddavid> 16.0-2.mga6
+ Revision: 1007228
- rebuild with new libnfs 1.9.8

* Mon Mar 21 2016 daviddavid <daviddavid> 16.0-1.mga6
+ Revision: 993463
- new version: 16.0 (Jarvis)
- rediff patch 0 and patch 214
- remove patch 1 and patch 200
- add BRs pkgconfig(dcadec) and crossguid-devel
- update files list
- rebuild for new glew 1.13
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 sander85 <sander85> 14.2-2.mga6
+ Revision: 854808
- Rebuild for new libcdio

* Sat Jun 27 2015 buchan <buchan> 14.2-1.mga6
+ Revision: 846355
- New version 14.2

* Wed Jun 24 2015 akien <akien> 14.0-3.mga6
+ Revision: 842012
- Rebuild for GLEW 1.12

* Wed May 13 2015 neoclust <neoclust> 14.0-2.mga5
+ Revision: 822031
- Add patch to fix CVE-2015-3885

* Tue Dec 30 2014 anssi <anssi> 14.0-1.mga5
+ Revision: 807229
- new version 14.0 final
- update pvr addons
- drop Wformat-security patch, applied upstream

* Thu Nov 27 2014 anssi <anssi> 14.0-0.beta5.1.mga5
+ Revision: 799636
- new version 14.0 beta5

* Tue Nov 25 2014 anssi <anssi> 14.0-0.beta4.2.mga5
+ Revision: 799183
- remove rename compatibility symlinks for directories to allow for
  xbmx => kodi upgrade, since they are not needed (the executable
  compatibility symlinks are kept)

* Mon Nov 24 2014 anssi <anssi> 14.0-0.beta4.1.mga5
+ Revision: 798851
- new version 14.0 beta4

* Mon Nov 24 2014 anssi <anssi> 14.0-0.beta3.1.mga5
+ Revision: 798730
- new version 14.0 beta3
- rename to kodi as per upstream (upstream compatibility symlinks remain)
- depend on shairplay instead of shairport
- use SDL 2.0 instead of 1.x
- bump dependency on libcec
- buildrequires jsoncpp-devel and cryptopp-devel for pvr-addons
- drop obsolete dependencies
- fix -Werror=format-security issue in pvr-addons (submitted upstream)
- drop bootstrap-return-value.patch, applied upstream
+ tv <tv>
- drop useless BR on java-rpmbuild
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ buchan <buchan>
- Version 13.2
- Update pvr addon to current git
+ pterjan <pterjan>
- Rebuild for new Python

* Mon May 05 2014 colin <colin> 13.0-1.mga5
+ Revision: 620228
- Add missing BR for yasm
- Add missing BR for libxslt
- Fix up the objectweb-asm3 class path for mga5+
- New version: 13 - Gotham
- Drop upstream patches
- Rediff still applicable downstream patches
- Add format-security patch for pvr-addons (should be upstreamed)
- Temporarily disable db-upgrade patch (may no longer be needed)
- Switch to generic -devel package (rather than eventclients-devel)
+ fwang <fwang>
- rebuild for new libplist
- rebuild for new ffmpeg
+ daviddavid <daviddavid>
- rebuild for new libplist

* Mon Feb 17 2014 colin <colin> 12.3-6.mga5
+ Revision: 593528
- Update to latest PVR addons (adds support for MythTV 0.27)

* Sun Feb 16 2014 luigiwalser <luigiwalser> 12.3-5.mga5
+ Revision: 592550
- rebuild for librtmp

* Sat Feb 15 2014 luigiwalser <luigiwalser> 12.3-4.mga5
+ Revision: 592294
- rebuild for libcdio and libass

* Sun Feb 09 2014 anssi <anssi> 12.3-3.mga5
+ Revision: 587527
- fix CVE-2013-1438 (denial of service via a crafted photo file)

* Wed Feb 05 2014 anssi <anssi> 12.3-2.mga5
+ Revision: 583415
- fix AC-3 encoding for S/PDIF with recent FFmpeg (patches from upstream)
+ colin <colin>
- Update to 12.3 bugfix release + latest PVR addons

* Sun Nov 24 2013 colin <colin> 12.2-6.mga4
+ Revision: 552712
- Update to latest pvr-addons

* Tue Oct 22 2013 umeabot <umeabot> 12.2-5.mga4
+ Revision: 546083
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 12.2-4.mga4
+ Revision: 502119
- include FEH.py[co] in files list

* Wed Sep 11 2013 anssi <anssi> 12.2-3.mga4
+ Revision: 477758
- fix various A/V sync issues (patch from upstream,
  0001-SoftAE-Fix-A-V-sync-issues-caused-by-wrong-buffer-ti.patch)
- fix crash on encoder initialization failure (patch from upstream,
  0001-Fix-crash-when-audio-encoder-is-not-initalized.patch)
- fix build with current ffmpeg (various patches from upstream,
  fixes mga #10973)
- fix zombie process issues causing video playback issues with
  NVIDIA proprietary driver 317+ (from upstream, fixes mga #10485)
- fix handling of file names with spaces in the wrapper script
  (fixes mga #2331)
+ fwang <fwang>
- rebuild for new ffmpeg

* Tue Jul 09 2013 fwang <fwang> 12.2-2.mga4
+ Revision: 451608
- rebuild for new boost

* Sun Jun 02 2013 colin <colin> 12.2-1.mga4
+ Revision: 435328
- New version: 12.2
- Update to lates pvr addons

* Sat Mar 30 2013 colin <colin> 12.1-2.mga3
+ Revision: 406674
- Update PVR addons to latest frodo branch.
- Disable PA support for now as not yet fully stable (still works fine via ALSA->PA layer)

* Fri Mar 29 2013 colin <colin> 12.1-1.mga3
+ Revision: 406450
- Switch pvr-addons tarball to the 12.0-Frodo tag from git.
- Package PVR Addons
- Revert patch from PVR Addons that is unsynced from main xbmc
- Enable PulseAudio support
- New version: 12.1

* Sat Mar 02 2013 anssi <anssi> 12.0-1.mga3
+ Revision: 400965
- 12.0 "frodo" final version
- drop automake1.13.patch, fixed upstream
- fix buildrequires for better backportability

* Mon Jan 14 2013 umeabot <umeabot> 12.0-0.rc3.2.mga3
+ Revision: 386607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 12.0-0.rc3.1.mga3
+ Revision: 343733
- new version 12.0 rc3 (Frodo)
- drop merged FFmpeg support backport patches
- rediff old upgrade workaround patch
- use system groovy (system-groovy.patch)
- workaround a code generator issue when using system groovy
  (system-groovy-hack.patch)
- fix bootstrap return value in case of autotools error
  (bootstrap-return-value.patch)
- fix build with automake 1.13+ (automake1.13.patch)
- add new buildrequires
- drop PVR patch, merged upstream
  o NOTE: PVR addons are no longer bundled but instead have to be
    installed separately
+ fwang <fwang>
- br pcrecpp
- update rpm group
- rebuild for new ffmpeg

* Thu Aug 30 2012 fwang <fwang> 11.0-1.pvr.5.mga3
+ Revision: 285685
- rebuild for new glew

* Thu Aug 02 2012 fwang <fwang> 11.0-1.pvr.4.mga3
+ Revision: 277861
- rebuild for new glew

* Tue Jul 10 2012 anssi <anssi> 11.0-1.pvr.3.mga3
+ Revision: 269300
- fix missing include in wiiremote eventclient
  (wiiremote-missing-include.patch)
- backport FFmpeg support patches to allow build with cauldron ffmpeg
  (patches 101..145)
+ colin <colin>
- Rebuild against new libudev major

* Fri Mar 30 2012 anssi <anssi> 11.0-1.pvr.2.mga2
+ Revision: 227542
- update PVR patchset to opdenkamp's final 11.0-Eden-pvr tag
- drop obsoleted HAL support (XBMC supports the newer replacements fine;
  reported by Damien Lallement)
- add support for building the package with the bundled ffmpeg using
  --with internal_ffmpeg (not enabled by default)

* Sat Mar 24 2012 anssi <anssi> 11.0-1.pvr.1.mga2
+ Revision: 226110
- XBMC 11.0 Eden final
- update PVR patchset snapshot
- drop patches applied upstream (libpng1.5 build fix, archived subtitle
  loading fix)

* Sat Mar 17 2012 anssi <anssi> 11.0-0.rc2.pvr.3.mga2
+ Revision: 223735
- do not load non-matching subtitles from archives (upstream ticket
  12719, fixed-don-t-load-non-matching-archived-subtitles-fix.patch,
  applied upstream)
- add a workaround for upgrading from old incompatible addon database
  (hack-workaround-for-old-incompatible-PVR-addon-datab.patch)

* Mon Mar 05 2012 anssi <anssi> 11.0-0.rc2.pvr.2.mga2
+ Revision: 219397
- enable Pulse-Eight CEC adapter support via libcec
- use "tarball" for git revision, tarball name is too long
- update .spec comments

* Sat Mar 03 2012 anssi <anssi> 11.0-0.rc2.pvr.1.mga2
+ Revision: 217508
- new version 11.0 rc2 (PVR-patched)
- build against system python
- update license tags and description
- build against udev, yajl, libnfs, libafpclient, libplist, libshairport
- add run-time dependencies on libass and libmpeg2
- upgrade libbluray to a hard dependency
- drop requirement on python-sqlite2, it is no longer used
- drop suggestion on libdca, it is no longer used
- faac and xbms are no longer used, drop mentions of them
- fix build with libpng1.5 (libpng-1.5.patch by Zenkibou) and switch to it
  (dropping use-libpng12.patch)
- fix undefined symbols in MythTV PVR client
  (fixed-undefined-symbols-in-MythTV-PVR-client.patch)
- drop bundled python build support, upstream has dropped support for it
- drop backport patches, patches applied upstream, and patches for the
  previously bundled python
- drop a workaround for the NVIDIA proprietary driver version 260.x.y
  (workaround-for-crash-with-nonpulse-nvidia260.patch)
- use the mainline addon database instead of Addons2.db as the PVR patch
  no longer causes incompatibility (dropped
  changed-use-the-legacy-pvr-testing2-addon-database.patch)
- drop workaround for 23.976 fps mkv files which was needed only on
  Mandriva 2010.1 and older (dropped old-libavformat-mkv-subs.patch)
- drop faad support workaround, faad is no longer used (dropped
  hack-ext-faad-with-int-headers.patch)

* Mon Dec 05 2011 anssi <anssi> 10.1-1.pvr.4.mga2
+ Revision: 176796
- link wiiremote eventclient with -lbluetooth (link-bluetooth.patch,
  fixes build)
- fix some cases of libpng15 being used instead of libpng12, causing
  XBMC to fail to start due to conflicts between libpng12 and libpng15
  as some parts were built against libpng12 (as they do not build with
  libpng15)

* Thu Nov 03 2011 anssi <anssi> 10.1-1.pvr.3.mga2
+ Revision: 162472
- fix build with current FFmpeg
  o 12 patches backported from upstream git master
  o xbmc-pvr-new-ffmpeg.patch
- build with libpng12 instead of libpng (fixes build)
- renumber patches
- fix grammar of a .spec comment

* Sat Apr 30 2011 anssi <anssi> 10.1-1.pvr.2.mga1
+ Revision: 93516
- fix reported version

* Wed Apr 20 2011 anssi <anssi> 10.1-1.pvr.1.mga1
+ Revision: 89302
- new bugfix release 10.1
- drop allow-ppp.patch, fixed upstream
- rediff pvr patch

* Sun Mar 27 2011 ennael <ennael> 10.0-1.pvr.4.mga1
+ Revision: 78144
- clean spec file
- imported package xbmc

